Subject: LSM: Submission Specification (4/1/93)
From: [email-masked] (Jeff Kopmanis)
Date: 2 Apr 1993 18:59:38 GMT
Newsgroups: comp.os.linux.announce

LSM Submission Specification  (April 1, 1993)

As promised, I've delivered on getting a standard format up and going for
the LSM.  It is basically an enhanced version of the IAFA format currently
being debated by the Internet folks.  An example package is given toward
the end of the document (thanks to Adam Thornton for a pretty complete,
early-submission).  For anyone who submitted before this document came out,
I will convert your entries into the format.

Additionally, at the end of the document, I provide a template for easier
submission to the LSM.  Please use the template when possible, as I'll be
using its layout features for other purposes.

------------------------------- cut here ---------------------------------

Linux Software Map -- Package submission format
-----------------------------------------------

Basically, the LSM submission format is an extension of the IAFA-PACKAGES
format documented in /pub/docs/iafa/draft.part.II on sunsite.unc.edu
The extension amounts to the addition of 3 fields: "Approx-Size",
"Last-3-Releases", and "Comments"  They follow the "Keywords" field in the
IAFA-PACKAGES format.  Also, the "Platforms" field content definition has
been amended to include information for the LSM's purposes.  In the format
specification, all LSM-specific enhancements are marked with (LSM).

Amended from IAFA-PACKAGES:
=========================================================================

Software Packages Information
-----------------------------

Filename: IAFA-PACKAGES

This file contains records with the following fields. The record is
started and delimited from other records by the "Package-Name" field.

Any number of these files may exist in the archive.

Package-Name:   Name of the file or directory containing the package

Title:          Title of the package

Version:        This field can be used if a version number or string is
                associated with the package

Description:    Description of the function of the programs in the package

Author:         Name and Email address of authors if available

Maintained-by:  This field should be included when the current maintainer
                of the package is known. Contact information should be
                included

Maintained-at:  Host name of the "home" of the package if known. This is
                the site at which the most uptodate version of the package
                would be expected to be found

Platforms:      Any requirements or restrictions that the package may
                have in terms of hardware or software (OS) platforms.
                The programming language the package is written in should
                be included.

                (LSM) In the above description, "requirements" refers to
                items such as the Linux version required or any utilities,
                libraries or other packages needed for this package to
                run.  Version numbers should be included for any non-OS
                requirements to ensure that the package will run.

Copying-Policy: The status of the package for copying purposes.

                The most common entries for this field would be
                "Public Domain" or "Freely Redistributable" or
                "Voluntary Payment" (shareware). However since a record
                may exist for software packages not resident on the AFA,
                this field may be entered as "Proprietary" or some other
                form of restricted access.

Keywords:       Keywords appropriate for users trying to locate the
                package

Approx-Size:    (LSM) Size of archive to the nearest K. Size in bytes is
                helpful, but not required.

Last-3-Release: (LSM) The version numbers of the last 3 releases of this
                package.

Comments:       (LSM) Any other pertenant information.  PLEASE BE BRIEF.

-------------------------------------------------------------------------
Example record for the LSM:
-------------------------------------------------------------------------

Package-Name:   linux.tads2exe.tar.Z
Title:          Text Adventure Development System (TADS)
Version:        2.0.13 (first release, ported)
Description:    C-like object-oriented programming language designed to
                make the design and implementation of classic text
                adventures (a la Infocom) a fairly straightforward
                process
Author:         Unknown, High Energy Software
Maintained-by:  Adam Justin Thornton ([email-masked])
Maintained-at:  ftp.gmd.de: /if-archive/programmings/tads
                wuarchive.wustl.edu: /mirrors/if-archive
Platforms:      Linux 0.99 (early March, 1993 SLS release); GCC 2.3.3;
                lib4.3
Copying-policy: Freely Redistributable. Copyright held by author.
Keywords:       tads, linux, text adventure, High Energy Software
Approx-Size:    631K (631245 bytes)
Last-3-Release: n/a
Comments:       Many TADS games are available at ftp.gmd.de in
                /if-archive .
-------------------------------------------------------------------------

-------------------------------------------------------------------------
For Multi-Filed Packages:
-------------------------------------------------------------------------

Because Linux has such entities as the SLS distribution and the /procps
series of programs, special considerations must be given to them.  An SLS
disk should be addressed as a single entity.  For example, the SLS disk c2
should have an LSM entry that looks something like this:

Package-Name:   disk c2
Title:          SLS Distribution Disk C2
Version:        0.99 (January, 1993)
Description:    Second disk in the C series of disks.  Contains the
                following packages: f2c, gdb, lib42, make, p2c
Author:         SLS
Maintained-by:  SLS, (insert.Peter's.address.here)
Maintained-at:  tsx-11.mit.edu:  /pub/linux/SLS/*
                sunsite.unc.edu: /pub/Linux/SLS/*
Platforms:      Any ISA-bus Intel 386/486 PC with >2MB RAM and >10MB disk
Copying-policy: Freely Redistributable [please correct me if I'm wrong]
Keywords:       SLS, Linux, disk c2, c series
Approx-Size:    1MB (1039605 bytes total)
Last-3-Release: 0.99, 0.98pl5, 0.98 [Not sure]
Comments:       All files should be written to an MSDOS diskette and used
                with the SLS install system.
-------------------------------------------------------------------------

-------------------------------------------------------------------------
Template file for easy submission to LSM:  (start typing ON the _ )
-------------------------------------------------------------------------

Package-Name:   _
Title:          _
Version:        _
Description:    _
Author:         _
Maintained-by:  _
Maintained-at:  _
Platforms:      _
Copying-policy: _
Keywords:       _
Approx-Size:    _
Last-3-Release: _
Comments:       _

------------------------------- cut here ---------------------------------

-- 
---------------------------------------------------------------------------
Jeff Kopmanis                                          [email-masked]
(313) 769-6911 (home)                                 (313) 393-4784 (work)

-- 
Send submissions for comp.os.linux.announce to: [email-masked]